// src/lib/adapters/dom.ts
function createQueryFetcher(windowObj) {
  return () => windowObj.location;
}
function createQueryUpdater(replace, { replaceState, pushState }) {
  const update = replace ? replaceState : pushState;
  return (search, hash) => update(null, "", `${search}${hash}`);
}
function dom(options = {}) {
  const { windowObj = window, replace = false } = options;
  const replaceState = windowObj.history.replaceState.bind(windowObj.history);
  const pushState = windowObj.history.pushState.bind(windowObj.history);
  return {
    isBrowser: () => typeof window !== "undefined",
    getBrowserUrl: createQueryFetcher(windowObj),
    updateBrowserUrl: createQueryUpdater(replace, { replaceState, pushState }),
    // Client-side only adapter
    getServerUrl: () => ({ hash: "", search: "" }),
    updateServerUrl: () => {
    }
  };
}
export {
  dom
};
//# sourceMappingURL=index.js.map