import { Q as QuerySchema, a as QueryParamsOptions, b as QueryParams, i as inferShape } from './types-ed36d277.js';
export { F as FunctionValidator, c as QueryFetcher, d as QueryUpdater, S as Serializer, V as Validator, e as inferFromValidator } from './types-ed36d277.js';
import 'valibot';
import 'zod';

/// <reference lib="dom" />

/**
 * This returns a function (a hook) rather than a reactive object as the
 * reactivity is lost when importing the underlying reactive object around
 * @returns A hook, returning a reactive {@linkcode QueryParams} instance
 */
declare function createUseQueryParams<TShape extends QuerySchema>(validators: TShape, options?: QueryParamsOptions): () => QueryParams<inferShape<TShape>>;

export { QueryParams, QueryParamsOptions, QuerySchema, createUseQueryParams, inferShape };
